Skip to main content
GET
/
v1
/
wikis
/
{wiki_id}
/
home
Home Page
curl --request GET \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/home \
  --header 'Authorization: Bearer <token>'
{
  "body_md": "<string>",
  "folder": "<string>",
  "frontmatter_json": {},
  "name": "<string>",
  "page_id": "<string>",
  "path": "<string>",
  "slug": "<string>",
  "status_label": "<string>",
  "title": "<string>",
  "updated_at": "<string>",
  "wiki_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

wiki_id
string
required

Response

Successful Response

body_md
string
required
folder
string
required
frontmatter_json
Frontmatter Json · object
required
name
string
required
page_id
string
required
path
string
required
slug
string
required
status
enum<string>
required
Available options:
active,
archived
status_label
string
required
status_state
enum<string>
required
Available options:
ready,
running,
failed,
unknown
title
string
required
updated_at
string
required
wiki_id
string
required